0
Answered

Build Instructions ?

mpalladi 2 months ago • updated by Genie 1 month ago 1

I tried following https://warewolf.io/knowledge-base/articles/how-to-build-warewolf-from-source/, but it refers to VS2012/13. Is this out of date ? I downloaded from git, and also tried the poweshell compile script but it requires MSBuild 15.0 . Is there more up to date instructions ?

Answer

Answer
Answered

Hi mpalladi ,


Thanks for logging this issue. We recently updated to using Visual Studio 2015 and will be updating the documentation to reflect this. Please refer to the Readme section of the Github page for the new requirements. In particular the following:


Compiling Warewolf requires at least Visual Studio 2017 with the ".NET desktop development" and "ASP.NET and web development" workloads and the "F# language support" individual component also installed.

Thanks again for bringing this to our attention.

Answer
Answered

Hi mpalladi ,


Thanks for logging this issue. We recently updated to using Visual Studio 2015 and will be updating the documentation to reflect this. Please refer to the Readme section of the Github page for the new requirements. In particular the following:


Compiling Warewolf requires at least Visual Studio 2017 with the ".NET desktop development" and "ASP.NET and web development" workloads and the "F# language support" individual component also installed.

Thanks again for bringing this to our attention.